# Class StringParameter

java.lang.Object
uk.ac.starlink.task.Parameter<String>
uk.ac.starlink.task.StringParameter

public class StringParameter extends Parameter<String>
Parameter for holding string values.

Since:
  20 Aug 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`StringParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`stringToObject(Environment env, String sval)`
Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter.

### Methods inherited from class Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringParameter

public StringParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringToObject

public String stringToObject(Environment env, String sval) throws TaskException
Description copied from class: `Parameter`
Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter. This method also performs validation, so if the string value is unacceptable in any way, a ParameterValueException should be thrown.

It is an error to supply a null or empty string value.

If this method fails (throws a ParameterValueException) and if `allowClassnameValue` is set, then a subsequent attempt will be made to interpret the `stringVal` as the classname of a suitable class with a no-arg constructor.

Specified by:
  `stringToObject` in class `Parameter<String>`
Parameters:
  `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
  `sval` - non-null, non-empty string value
Returns:
  typed value
Throws:
  `TaskException`